Loading...
Searching...
No Matches
signal.h File Reference
Intra-application signals
`#include <stdint.h>`

Go to the source code of this file.

## Macros

#define | OSMO_SIGNAL_SS_APPS 0
| subsystem signaling numbers: we split the numberspace for applications and libraries: from 0 to UINT_MAX/2 for applications, from UINT_MAX/2 to UINT_MAX for libraries.
#define | OSMO_SIGNAL_SS_RESERVED 2147483648u
#define | OSMO_SIGNAL_T_APPS 0
#define | OSMO_SIGNAL_T_RESERVED 2147483648u

## Typedefs

typedef int | osmo_signal_cbfn(unsigned int subsys, unsigned int signal, void *handler_data, void *signal_data)
| signal callback function type

## Enumerations

enum | { SS_L_GLOBAL = OSMO_SIGNAL_SS_RESERVED , SS_L_INPUT , SS_L_NS , SS_L_VTY }
| signal subsystems More...
enum | { S_L_GLOBAL_SHUTDOWN = OSMO_SIGNAL_T_RESERVED }
| signal types. More...

## Functions

void * | osmo_signal_talloc_ctx_init (void *root_ctx)
| Initialize a signal_handler talloc context for osmo_signal_register_handler.
int | osmo_signal_register_handler (unsigned int subsys, osmo_signal_cbfn *cbfn, void *data)
| Register a new signal handler.
void | osmo_signal_unregister_handler (unsigned int subsys, osmo_signal_cbfn *cbfn, void *data)
| Unregister signal handler.
void | osmo_signal_dispatch (unsigned int subsys, unsigned int signal, void *signal_data)
| dispatch (deliver) a new signal to all registered handlers